@echo off
if exist cfg\sidearms.cfg move cfg\sidearms.cfg cfg\sidearms.bak
if exist hi\sidearms.hi move hi\sidearms.hi hi\sidearms.bak
if exist nvram\sidearms.nv move nvram\sidearms.nv nvram\sidearms.bak
if exist diff\sidearms.dif move diff\sidearms.dif diff\sidearms.bak

mame sidearms -record sidearms.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\sidearms.bak move cfg\sidearms.bak cfg\sidearms.cfg
if exist hi\sidearms.bak move hi\sidearms.bak hi\sidearms.hi
if exist nvram\sidearms.bak move nvram\sidearms.bak nvram\sidearms.nv
if exist diff\sidearms.bak move diff\sidearms.bak diff\sidearms.dif
